# $Id: perl-Graph-Easy.spec 5970 2007-11-08 22:11:43Z dag $
# Authority: dries
# Upstream: Tels <nospam-abuse$bloodgate,com>

%define perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)

%define real_name Graph-Easy

Summary: Render graphs as ASCII, HTML, SVG or via Graphviz
Name: perl-Graph-Easy
Version: 0.59
Release: 1.rf
License: Artistic/GPL
Group: Applications/CPAN
URL: http://search.cpan.org/dist/Graph-Easy/

Packager: Dries Verachtert <dries@ulyssis.org>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://www.cpan.org/modules/by-module/Graph/Graph-Easy-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch: noarch
BuildRequires: perl >= 2:5.8.1
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Heap)
BuildRequires: perl(Scalar::Util) >= 1.13
#BuildRequires: perl(Test::More) >= 0.62

%description
This module let's you create graphs (nodes/vertices connected by edges/arcs,
not pie charts!) and then lay them out on a flat surface.

Once laid out, the graph can be converted into various output formats like
ASCII art, HTML or SVG. You can also output the graph in graphviz format
and let dot do the layout for you.

Graphs can be generated by Perl code, or parsed from a simple text format
that is human readable and maintainable.

%prep
%setup -n %{real_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{buildroot}%{_prefix}"
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} pure_install

### Clean up buildroot
find %{buildroot} -name .packlist -exec %{__rm} {} \;

### Clean up docs
find examples/ -type f -exec %{__chmod} a-x {} \;

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc CHANGES INSTALL LICENSE MANIFEST MANIFEST.SKIP META.yml README SIGNATURE TODO examples/
%doc %{_mandir}/man1/graph-easy.1*
%doc %{_mandir}/man3/Graph::Easy.3pm*
%doc %{_mandir}/man3/Graph::Easy::*.3pm*
%{_bindir}/graph-easy
%dir %{perl_vendorlib}/Graph/
%{perl_vendorlib}/Graph/Easy/
%{perl_vendorlib}/Graph/Easy.pm

%changelog
* Fri Nov 09 2007 Dag Wieers <dag@wieers.com> - 0.59-1 - 5970+/dag
- Updated to release 0.59.

* Mon Jun 18 2007 Dries Verachtert <dries@ulyssis.org> - 0.55-1
- Updated to release 0.55.

* Sun Apr 29 2007 Dries Verachtert <dries@ulyssis.org> - 0.54-1
- Updated to release 0.54.

* Wed Feb 14 2007 Dries Verachtert <dries@ulyssis.org> - 0.52-1
- Fixed the license (thanks to Tels)
- Updated to release 0.52.

* Wed Jan 03 2007 Dries Verachtert <dries@ulyssis.org> - 0.50-1
- Updated to release 0.50.

* Tue Nov 14 2006 Dries Verachtert <dries@ulyssis.org> - 0.49-1
- Updated to release 0.49.

* Mon Sep 18 2006 Dries Verachtert <dries@ulyssis.org> - 0.48-1
- Updated to release 0.48.

* Fri Jun  2 2006 Dries Verachtert <dries@ulyssis.org> - 0.44-1
- Updated to release 0.44.

* Sun Mar 26 2006 Dries Verachtert <dries@ulyssis.org> - 0.43-1
- Updated to release 0.43.

* Sat Jan  7 2006 Dries Verachtert <dries@ulyssis.org> - 0.38-1
- Updated to release 0.38.

* Sun Dec 25 2005 Dries Verachtert <dries@ulyssis.org> - 0.36-1
- Updated to release 0.36.

* Fri Dec  9 2005 Dries Verachtert <dries@ulyssis.org> - 0.34-1
- Initial package.
